Loading...
Searching...
No Matches
restinio::http_field_parsers::impl::quoted_pair_producer_t Class Reference

A producer for quoted_pair. More...

`#include <basics.hpp>`

Inheritance diagram for restinio::http_field_parsers::impl::quoted_pair_producer_t:

## Public Member Functions

RESTINIO_NODISCARD expected_t< result_type, parse_error_t > | try_parse (source_t &from) const

## Additional Inherited Members

Public Types inherited from restinio::easy_parser::impl::producer_tag< char >
using | result_type = char
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< char >
static constexpr entity_type_t | entity_type

## Detailed Description

A producer for quoted_pair.

If a quoted_pair is found in the input stream it produces char with the value of that token.

See: https://tools.ietf.org/html/rfc7230

Since
  v.0.6.4

Definition at line 701 of file basics.hpp.

## Member Function Documentation

## try_parse()

RESTINIO_NODISCARD expected_t< result_type, parse_error_t > restinio::http_field_parsers::impl::quoted_pair_producer_t::try_parse | ( | source_t & | from | ) | const

inline

Definition at line 706 of file basics.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/http_field_parsers/basics.hpp